Loading...
Searching...
No Matches
Opm::AquiferFlux Class Reference

## Public Types

using | AquFluxs = std::unordered_map<int, SingleAquiferFlux>

## Public Member Functions

| AquiferFlux (const std::vector< const DeckKeyword * > &keywords)
| AquiferFlux (const std::vector< SingleAquiferFlux > &aquifers)
void | appendAqufluxSchedule (const std::unordered_set< int > &ids)
bool | hasAquifer (int id) const
bool | operator== (const AquiferFlux &other) const
size_t | size () const
AquFluxs::const_iterator | begin () const
AquFluxs::const_iterator | end () const
void | loadFromRestart (const RestartIO::RstAquifer &rst)
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static AquiferFlux | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Aquifer/AquiferFlux.hpp
- opm/input/eclipse/EclipseState/Aquifer/AquiferFlux.cpp